Loading...
Searching...
No Matches
Opm::SinglePointUpwindTwoPhase< TwophaseFluid > Class Template Reference

## Public Types

enum | { DofPerCell = 1 }

## Public Member Functions

template<class Grid>
| SinglePointUpwindTwoPhase (const TwophaseFluid &fluid, const Grid &g, const std::vector< double > &porevol, const double *grav=0, const bool guess_previous=true)
void | makefhfQPeriodic (const std::vector< int > &p_faces, const std::vector< int > &hf_faces, const std::vector< int > &nb_faces)
void | initResidual (const int c, double *F) const
template<class ReservoirState, class Grid>
void | fluxConnection (const ReservoirState &state, const Grid &g, const double dt, const int c, const int f, double *J1, double *J2, double *F) const
template<class Grid>
void | accumulation (const Grid &g, const int c, double *J, double *F) const
template<class Grid, class SourceTerms>
void | sourceTerms (const Grid &g, const SourceTerms *src, const int i, const double dt, double *J, double *F) const
template<class Grid>
void | initGravityTrans (const Grid &g, const std::vector< double > &htrans)
template<class ReservoirState, class Grid, class JacobianSystem>
void | initStep (const ReservoirState &state, const Grid &g, JacobianSystem &sys)
template<class ReservoirState, class Grid, class JacobianSystem>
bool | initIteration (const ReservoirState &state, const Grid &g, JacobianSystem &sys)
template<class ReservoirState, class Grid, class NewtonIterate>
void | finishIteration (const ReservoirState &state, const Grid &g, NewtonIterate &it)
template<class Grid, class SolutionVector, class ReservoirState>
void | finishStep (const Grid &g, const SolutionVector &x, ReservoirState &state)

The documentation for this class was generated from the following file:

- opm/core/transport/implicit/SinglePointUpwindTwoPhase.hpp